# 1 = Debug; 2 = Info; 3 = Warn;
logLevel = 3

# Enable the built in identd server (listens on port 113)
identd = false

# The name of this gateway as reported in WEBIRC to IRC servers
gateway_name = "webircgateway"

# A secret string used for generating client JWT tokens. Do not share this!
secret = ""

# Send the server a quit message when the client is closed
# Comment out to disable
send_quit_on_client_close = "Client closed"

[verify]
recaptcha_url = "https://www.google.com/recaptcha/api/siteverify"
#recaptcha_url = "https://hcaptcha.com/siteverify"
recaptcha_secret = ""
recaptcha_key = ""

# If required, a client must always pass a captcha challenge before making an IRC connection
required = false

[clients]
# Default username / realname for IRC connections. If disabled it will use
# the values provided from the IRC client itself.
# %a will be replaced with the users ip address
# %h will be replaced with the users hostname
# %i will be replaced with a hexed value of the users IP
# %n will be replaced with the client provided nick
username = "%i"
realname = "I am a webchat user"

# This hostname value will only be used when using a WEBIRC password
#hostname = "%h"

# The websocket / http server
[server.1]
bind = "127.0.0.1"
port = __PORT__

# Example TLS server
#[server.2]
#bind = "0.0.0.0"
#port = 443
#tls = true
#cert = server.crt
#key = server.key
# If you don't have a certificate, uncomment the below line to automatically generate a
# free certificate using letsencrypt.com (overrides the above cert/key options). This requires
# a server running on port 80 to initially generate the certificate.
#letsencrypt_cache = ./certs

# Example unix socket server
#[server.3]
#bind = unix:/tmp/webircgateway.sock
#bind_mode = 0777

# Serve static files from a web root folder.
# Optional, but handy for serving the Kiwi IRC client if no other webserver is available
[fileserving]
enabled = false
webroot = __INSTALL_DIR__/www/

[transports]
websocket
sockjs
kiwiirc

# Websites (hostnames) that are allowed to connect here
# No entries here will allow any website to connect.
# Origins do not include a trailing / after the host and optional port
[allowed_origins]
#*://example.com

# If using a reverse proxy, it must be whitelisted for the client
# hostnames to be read correctly. In CIDR format.
# The user IPs are read from the standard X-Forwarded-For HTTP header
[reverse_proxies]
127.0.0.0/8
10.0.0.0/8
172.16.0.0/12
192.168.0.0/16
"::1/128"
"fd00::/8"

# Connections will be sent to a random upstream
[upstream.1]
hostname = "irc.libera.chat"
port = 6667
tls = false
# Connection timeout in seconds
timeout = 5
# Throttle the lines being written by X per second
throttle = 2
# Webirc password as set in the IRC server config
webirc = ""
serverpassword = ""
# Outgoing protocol, valid options: tcp, tcp4, tcp6, unix
# this can be used to force ipv4, ipv6 etc
protocol = tcp
# IP address of the local network interface to bind for outgoing connections
localaddr = ""


# A public gateway to any IRC network
# If enabled, Kiwi IRC clients may connect to any IRC network (or a whitelisted
# network below) through the kiwiirc engine
[gateway]
enabled = false
timeout = 5
throttle = 2
# Outgoing protocol, valid options: tcp, tcp4, tcp6
protocol = tcp
# IP address of the local network interface to bind for outgoing connections
localaddr = ""

# Whitelisted IRC networks while in public gateway mode
# If any networks are in this list then connections can only be made to these
[gateway.whitelist]
#irc.example.com
#*.example2.com

# Webirc passwords used when running in the public gateway mode
[gateway.webirc]
irc.network.org = webirc_password
irc.network2.org = webirc_password

[dnsbl]
# "verify" - if the client supports it, tell it to show a captcha
# "deny" - deny the connection entirely
## notes for yunohost: it looks like the code accepts other values than deny and verify
action = none

[dnsbl.servers]
dnsbl.dronebl.org
